Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.cci
Class DesignTimeInteractionSpecImpl

    java.lang.Object
      |
      +--com.bea.adapter.cci.InteractionSpecImpl
            |
            +--com.bea.adapter.cci.DesignTimeInteractionSpecImpl

public class DesignTimeInteractionSpecImpl
extends InteractionSpecImpl

Encapsulates properties for driving an `Interaction` with an EIS instance that is used to generate metadata for design-time. For example, a typical feature of an adapter at design time is to allow the end-user to browse a catalog of services provided by an EIS, such as the SAP R/3 Business Object Repository. Provides a base implementation for adapter providers to extend. Provides getters and setters for the standard properties (function name, verb, and timeout) defined by the J2EE Connector Architecture specification pg. 115.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `BROWSE`
`static java.lang.String` | `GET_EVENT_SCHEMA`
`static java.lang.String` | `GET_REQUEST_SCHEMA`
`static java.lang.String` | `GET_RESPONSE_SCHEMA`

Constructor Summary
`DesignTimeInteractionSpecImpl()`
`DesignTimeInteractionSpecImpl(java.lang.String strFunctionName)`
`DesignTimeInteractionSpecImpl(java.lang.String strFunctionName, int iVerb, int iTimeOut)`

Method Summary
`boolean` | `isBrowseRequest()`
`boolean` | `isEventSchemaRequest()`
`boolean` | `isRequestSchemaRequest()`
`boolean` | `isResponseSchemaRequest()`

Methods inherited from class com.bea.adapter.cci.InteractionSpecImpl
`addPropertyChangeListener, addVetoableChangeListener, fireChangeEvent, getExecutionTimeout, getFunctionName, getInteractionVerb, getInteractionVerbAsStr, propertyChange, removePropertyChangeListener, removeVetoableChangeListener, setExecutionTimeout, setFunctionName, setInteractionVerb, toString, vetoableChange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### GET_REQUEST_SCHEMA

    public static final java.lang.String GET_REQUEST_SCHEMA

### GET_RESPONSE_SCHEMA

    public static final java.lang.String GET_RESPONSE_SCHEMA

### GET_EVENT_SCHEMA

    public static final java.lang.String GET_EVENT_SCHEMA

### BROWSE

    public static final java.lang.String BROWSE

Constructor Detail

### DesignTimeInteractionSpecImpl

    public DesignTimeInteractionSpecImpl()
                                  throws javax.resource.ResourceException

### DesignTimeInteractionSpecImpl

    public DesignTimeInteractionSpecImpl(java.lang.String strFunctionName)
                                  throws javax.resource.ResourceException

### DesignTimeInteractionSpecImpl

    public DesignTimeInteractionSpecImpl(java.lang.String strFunctionName,
                                         int iVerb,
                                         int iTimeOut)
                                  throws javax.resource.ResourceException

Method Detail

### isRequestSchemaRequest

    public boolean isRequestSchemaRequest()
                                   throws javax.resource.ResourceException

  Returns:
    true if this InteractionSpec represents a request to obtain the request schema for a service.
  Throws:
    javax.resource.ResourceException - if an error occurs while obtaining the function name for this interaction spec.

### isResponseSchemaRequest

    public boolean isResponseSchemaRequest()
                                    throws javax.resource.ResourceException

  Returns:
    true if this InteractionSpec represents a request to obtain the response schema for a service.
  Throws:
    javax.resource.ResourceException - if an error occurs while obtaining the function name for this interaction spec.

### isBrowseRequest

    public boolean isBrowseRequest()
                            throws javax.resource.ResourceException

  Returns:
    true if this InteractionSpec represents a request to browse the EIS.
  Throws:
    javax.resource.ResourceException - if an error occurs while obtaining the function name for this interaction spec.

### isEventSchemaRequest

    public boolean isEventSchemaRequest()
                                 throws javax.resource.ResourceException

  Returns:
    true if this InteractionSpec represents a request to obtain the schema for an event.
  Throws:
    javax.resource.ResourceException - if an error occurs while obtaining the function name for this interaction spec.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)